with Ada.Text_IO; use Ada.Text_IO;
with Ada.Strings.Fixed; use Ada.Strings.Fixed;

package body Report is

   Turned_On : Boolean := True;

   procedure Test (Test_Id, Test_Description : String) is
   begin
      if not Turned_On then
         return;
      end if;
      Put_Line ("Test ID: " & Test_Id);
      Put_Line ("Description:");
      Put_Line (Test_Description);
      Put_Line (40 * '-');
   end Test;


   procedure Failed (Problem_Desc : String) is
   begin
      if not Turned_On then
         return;
      end if;
      Put_Line ("Problem detected:");
      Put_Line (Problem_Desc);
      Put_Line (40 * '-');
   end Failed;

   procedure Result is
   begin
      if not Turned_On then
         return;
      end if;
      Put_Line ("Test finished");
      Put_Line (40 * '-');
   end Result;

   procedure Toggle (State : Boolean) is
   begin
      Turned_On := State;
   end Toggle;

end Report;
